use mongod::ToAPI;
use rocket::{get, State};

use crate::{
    json_store::JSONStore,
    location::Location,
    routes::{api_error, FallibleApiResponse},
};

#[get("/location/<id>")]
pub async fn location_info(
    id: &str,
    locations: &State<JSONStore<Location>>,
) -> FallibleApiResponse {
    let loc = locations
        .get(id)
        .ok_or_else(|| api_error("No location with that ID"))?;
    Ok(loc.api().await)
}

#[get("/locations")]
pub async fn locations_info(locations: &State<JSONStore<Location>>) -> FallibleApiResponse {
    // todo : recursive location map

    unimplemented!()
}
